//This JSON was modified by Rainvay_ZCYF (@ZouChenyunfei). Please do not use this document without permission.
{
  "format_version": "1.10.0",
  "particle_effect": {
    "description": {
      "identifier": "minecraft:soul_torch_flame_extra",
      "basic_render_parameters": {
        "material": "particles_alpha",
        "texture": "textures/particle/particles"
      }
    },
    "components": {
      "minecraft:emitter_rate_manual": {
        "max_particles": 50
      },
      "minecraft:emitter_lifetime_expression": {
        "activation_expression": 100,
        "expiration_expression": 0
      },
      "minecraft:emitter_shape_sphere": {
        "radius": 0.012
      },
      "minecraft:particle_lifetime_expression": {
        "max_lifetime": "Math.random(0.2, 1.0)"
      },
      "minecraft:particle_appearance_billboard": {
        "size": ["1 * ((0.1 + variable.particle_random_1*0.1) - (variable.particle_random_2*0.04+0.1) * (1 - math.sqrt((1 - variable.particle_age/variable.particle_lifetime))))", "1 * ((0.1 + variable.particle_random_1*0.1) - (variable.particle_random_2*0.04+0.1) * (1 - math.sqrt((1 - variable.particle_age/variable.particle_lifetime))))"],
        "facing_camera_mode": "rotate_xyz",
        "uv": {
          "texture_width": 128,
          "texture_height": 128,
          "uv": [ 16, 24 ],
          "uv_size": [ 8, 8 ]
        }
      }
    }
  }
}
